=== examples/Makefile ===
#####################################################
# Makefile for examples of GRACE                    #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

DOTEST = dotest$(BAT)

EXAMPLES = altaxis.par logtest.par tbar3.dat times.dat \
	au.d manygraphs.agr terr.d tinset.d \
	axes.agr mlo.dat terr2.d tlog.agr \
	bar.d explain.agr moresyms.agr test.com tmc.c \
	bar2.d fills.dat props.agr test.dat tpipe.d \
	bars.d graphs.par regions.par test1.par tstack.dat \
	brw.dat hilo.dat slideshow.d test2.d txyr.dat \
	co2.all log.d stackedb.d tfonts.agr typeset.agr \
	co2.par logistic.d logistic.fit symslines.agr tforms.par polar.agr

all : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(EXAMPLES) $(DOTEST)
	$(MKINSTALLDIRS) $(GRACE_HOME)/examples
	for i in $(EXAMPLES); do $(INSTALL_DATA) $$i $(GRACE_HOME)/examples; done
	$(INSTALL_PROGRAM) $(DOTEST) $(GRACE_HOME)/examples/$(DOTEST)

links : dummy

tests : $(EXAMPLES) $(DOTEST)
	./$(DOTEST)

dummy :
