=== T1lib/t1lib/Makefile ===
#

OBJS = \
	t1finfo.o \
	t1base.o \
	t1delete.o \
	t1enc.o \
	t1env.o \
	t1load.o \
	t1set.o \
	t1trans.o \
	t1aaset.o \
	t1afmtool.o \
	parseAFM.o 


all: $(OBJS)


.PHONY: clean

clean: dummy
	$(RM) *.o
	$(RM) *~ *.bak \#*\#


install: dummy


dummy:


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies
