=== T1lib/type1/Makefile ===
#

# targets to build: 

OBJS = \
	arith.o \
	curves.o \
	fontfcn.o \
	hints.o \
	lines.o \
	objects.o \
	paths.o \
	regions.o \
	scanfont.o \
	spaces.o \
	t1io.o \
	t1snap.o \
	t1stub.o \
	token.o \
	type1.o \
	util.o 


all: $(OBJS)


.PHONY: clean

clean: dummy
	$(RM) *.o
	$(RM) *~ *.bak \#*\#


install: dummy


dummy:


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies
