## grace 5.0.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #####################################################
-# Top-level Makefile for XMGR4                      #
+# Top-level Makefile for Grace                      #
 #####################################################
 # You should not change anything here.              #
-# Please read INSTALL file in the current directory #
 #####################################################
 
 include Make.conf
@@ -15,7 +14,14 @@
 install : $(subdirs)
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
 	$(MKINSTALLDIRS) $(GRACE_HOME)
-	$(INSTALL_DATA) gracerc.sample $(GRACE_HOME)
+	@if test -f $(GRACE_HOME)/gracerc; then \
+		echo "	$(GRACE_HOME)/gracerc exists"; \
+		echo "	Installing only $(GRACE_HOME)/gracerc.sample"; \
+		$(INSTALL_DATA) gracerc $(GRACE_HOME)/gracerc.sample; \
+	else \
+		$(INSTALL_DATA) gracerc $(GRACE_HOME); \
+	fi
+	$(INSTALL_DATA) gracerc.user $(GRACE_HOME)
 
 tests : $(subdirs)
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done
@@ -36,27 +42,27 @@
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
 	$(RM) config.log config.status config.cache config.h Make.conf configure
 
-texts : CHANGES MIGRATION
+texts : CHANGES ChangeLog
 
 CHANGES : doc/CHANGES.html
 	@lynx -dump $? > CHANGES
 
-MIGRATION : doc/MIGRATION.html
-	@lynx -dump $? > MIGRATION
+ChangeLog : 
+	./scripts/cvs2cl.pl
 
-Make.conf : conf/Make.conf.in configure
+Make.conf : ac-tools/Make.conf.in configure
 	@echo
 	@echo 'Please re-run ./configure'
 	@echo
-	@exit 1
 
-configure : conf/configure.in
-	autoconf $? > configure
+configure : ac-tools/configure.in ac-tools/ice_check_lesstif.m4 \
+	ac-tools/mdw_check_manylibs.m4 ac-tools/ice_find_motif.m4 \
+	ac-tools/ice_check_decl.m4
+	autoconf ac-tools/configure.in > configure
 	chmod +x configure
 	@echo
 	@echo 'Please re-run ./configure'
 	@echo
-	@exit 1
 
 dummy :
