=== grace_np/Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Makefile for libgrace_np                          #
 #####################################################
 # You should not change anything here.              #
-# Please read INSTALL file in the upper directory   #
 #####################################################
 
 TOP=..
@@ -13,7 +12,7 @@
 
 LIB = libgrace_np.a
 
-CFLAGS=$(CFLAGS0) -I$(TOP) -I. 
+CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(CPPFLAGS)
 
 LIBS = $(NOGUI_LIBS)
 
@@ -55,11 +54,11 @@
 	cd $(PREFIX)/include; $(RM) grace_np.h; $(LN_S) $(GRACE_HOME)/include/grace_np.h grace_np.h
 	
 clean :
-	$(RM) *.o sample.gr $(TESTS)
+	$(RM) *.o sample.agr $(TESTS)
 
 distclean :
-	$(RM) *.o sample.gr $(LIB) $(TESTS)
+	$(RM) *.o sample.agr $(LIB) $(TESTS)
 	
 devclean :
-	$(RM) *.o sample.gr $(LIB) $(TESTS)
+	$(RM) *.o sample.agr $(LIB) $(TESTS)
