=== T1lib/t1lib/Makefile ===
#
TOP=../..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

OBJS = \
	t1finfo$(O) \
	t1base$(O) \
	t1delete$(O) \
	t1enc$(O) \
	t1env$(O) \
	t1load$(O) \
	t1set$(O) \
	t1trans$(O) \
	t1aaset$(O) \
	t1afmtool$(O) \
	t1outline$(O) \
	parseAFM$(O) 


all : $(OBJS)


.PHONY : clean

clean : dummy
	$(RM) *$(O)
	$(RM) *~ *.bak \#*\#


install : dummy


dummy :


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies
