## grace 5.1.7

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 subdirs : configure Make.conf
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE)) || exit 1; done
 
-all : $(subdirs)
+all : subdirs
 
-install : $(subdirs)
+install : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
 	$(MKINSTALLDIRS) $(GRACE_HOME)
 	@if test -f $(GRACE_HOME)/gracerc; then \
@@ -23,22 +23,22 @@
 	fi
 	$(INSTALL_DATA) gracerc.user $(GRACE_HOME)
 
-tests : $(subdirs)
+tests : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done
 
 check : tests
 
-links : $(subdirs)
+links : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) links) || exit 1; done
 
-clean : $(subdirs)
+clean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) clean) || exit 1; done
 
-distclean : $(subdirs)
+distclean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) distclean) || exit 1; done
 	$(RM) config.log config.status config.cache config.h Make.conf
 
-devclean : $(subdirs)
+devclean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
 	$(RM) config.log config.status config.cache config.h Make.conf configure
 
@@ -48,21 +48,17 @@
 	@lynx -dump $? > CHANGES
 
 ChangeLog : 
-	./scripts/cvs2cl.pl
+	./scripts/cvs2cl.pl -F grace-5_1-series
 
 Make.conf : ac-tools/Make.conf.in configure
 	@echo
 	@echo 'Please re-run ./configure'
 	@echo
+	@exit 1
 
-configure : ac-tools/configure.in ac-tools/ice_check_lesstif.m4 \
-	ac-tools/mdw_check_manylibs.m4 ac-tools/ice_find_motif.m4 \
-	ac-tools/ice_check_decl.m4
+configure : ac-tools/configure.in ac-tools/aclocal.m4
 	autoconf ac-tools/configure.in > configure
 	chmod +x configure
-	@echo
-	@echo 'Please re-run ./configure'
-	@echo
 
 dummy :
