=== src/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 GRBATCH=gracebat$(EXE)
 
+GRACECLI=grace$(EXE)
+
 CEPHES_LIB=$(TOP)/cephes/libcephes.a
 
 CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(T1_INC) $(XBAE_INC) $(CPPFLAGS) $(GUI_FLAGS)
@@ -22,7 +24,7 @@
 
 PREFS=-DGRACE_HOME=\"$(GRACE_HOME)\" -DGRACE_PRINT_CMD=\"$(PRINT_CMD)\" \
 	-DGRACE_EDITOR=\"$(GRACE_EDITOR)\" $(HELPVIEWER) \
-	-DCCOMPILER=\"'$(CC) $(CFLAGS) $(LIBS)'\" 
+	-DCCOMPILER=\"'$(CC) $(CFLAGS) $(LDFLAGS) $(LIBS)'\" 
 
 all : $(GRACE)
 
@@ -41,13 +43,15 @@
 
 
 buildinfo$(EXE) : buildinfo$(O)
-	$(CC) $(CFLAGS) $? -o $@ $(LDFLAGS) $(GUI_LIBS) $(T1_LIB) $(NOGUI_LIBS)
+	$(CC) $(CFLAGS) $? -o $@ $(LDFLAGS) $(GUI_LIBS) $(T1_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) $(NOGUI_LIBS)
 
 buildinfo$(O) : $(TOP)/Make.conf
 	$(CC) $(CFLAGS) $(PREFS) -c buildinfo.c -o $@
 
 buildinfo.h : buildinfo$(EXE) $(GRSRCS) $(GUISRCS)
-	./buildinfo$(EXE) > $@
+	$(RM) t.h
+	./buildinfo$(EXE) > t.h
+	mv t.h $@
 
 $(PARS_C) : $(PARS_Y)
 	$(YACC) -t $?
@@ -61,21 +65,20 @@
 
 tests : dummy
 
-links : $(GRACE)
+links : $(GRACE_HOME)/bin/$(GRACE)
 	$(MKINSTALLDIRS) $(PREFIX)/bin
 	cd $(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
 	cd $(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)
+	cd $(PREFIX)/bin; $(RM) $(GRACECLI); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACECLI)
 
 clean : 
-	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O)
+	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo.h buildinfo$(O) buildinfo$(EXE)
 
-distclean : 
-	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) buildinfo$(EXE)\
-	tags *.orig *.*gr .gdb_history t1lib.log
+distclean : clean
+	$(RM) $(GRACE) tags *.orig *.*gr .gdb_history t1lib.log
 
-devclean : 
-	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) \
-	tags *.orig *.*gr .gdb_history t1lib.log $(PARS_C)
+devclean : distclean
+	$(RM) $(PARS_C)
 
 depend :
 	echo "# Generated automatically by \`make depend'" > Make.dep
@@ -83,7 +86,7 @@
 		| sed 's/\.o:/\$$(O)\ :/g' >> Make.dep
 
 tags : $(GRSRCS) $(GUISRCS) $(PARS_Y)
-	ctags --format=1 $(GRSRCS) $(GUISRCS) $(PARS_Y)
+	ctags $(GRSRCS) $(GUISRCS) $(PARS_Y)
 
 dummy :
