## grace 5.1.21

=== Makefile ===
--- 
+++ 
@@ -13,15 +13,15 @@
 
 install : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
-	$(MKINSTALLDIRS) $(GRACE_HOME)
-	@if test -f $(GRACE_HOME)/gracerc; then \
-		echo "	$(GRACE_HOME)/gracerc exists"; \
-		echo "	Installing only $(GRACE_HOME)/gracerc.sample"; \
-		$(INSTALL_DATA) gracerc $(GRACE_HOME)/gracerc.sample; \
+	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)
+	@if test -f $(DESTDIR)$(GRACE_HOME)/gracerc; then \
+		echo "	$(DESTDIR)$(GRACE_HOME)/gracerc exists"; \
+		echo "	Installing only $(DESTDIR)$(GRACE_HOME)/gracerc.sample"; \
+		$(INSTALL_DATA) gracerc $(DESTDIR)$(GRACE_HOME)/gracerc.sample; \
 	else \
-		$(INSTALL_DATA) gracerc $(GRACE_HOME); \
+		$(INSTALL_DATA) gracerc $(DESTDIR)$(GRACE_HOME); \
 	fi
-	$(INSTALL_DATA) gracerc.user $(GRACE_HOME)
+	$(INSTALL_DATA) gracerc.user $(DESTDIR)$(GRACE_HOME)
 
 tests : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done
@@ -40,7 +40,8 @@
 
 devclean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
-	$(RM) config.log config.status config.cache config.h Make.conf configure
+	$(RM) config.log config.status config.cache config.h Make.conf \
+	configure CHANGES ChangeLog
 
 texts : CHANGES ChangeLog
