## grace 5.1.22

=== debian/changelog ===
grace (1:5.1.22-9ubuntu1) natty; urgency=low

  * debian/patches/debug-symbols.diff: Prevent stripping of debug symbols by
    Makefiles.  This allows production of a debug-symbol package by
    pkg-create-dbgsym (LP: #721855, Closes: #614102)

 -- Alex Valavanis <valavanisalex@googlemail.com>  Sat, 19 Feb 2011 19:07:40 +0000

grace (1:5.1.22-9) unstable; urgency=low

  * copyright: Update contact info and years.
  * grace.menu: Move from Science/Mathematics to Science/Data Analysis.
    Change hints to longtitle.  (Closes: #606965) 
  * patches/tmpnam_to_mkstemp.diff: Create temporary files in /tmp rather
    than working directory.
  * rules: Hardcode use of xterm instead of x-terminal-emulator to work
    around the auto-backgrounding "feature" of konsole/gnome-terminal.
    (Closes: #601829)
    - control: Add Depends: on xterm.
  * patches/*: Add DEP-3 headers.  Rename grace_manpage_debian_warning.diff
    to the more general manpages.diff.
  * grace.overrides: Override lintian empty directory warning on
    /usr/share/fonts/type1, which is populated in the postinst.

 -- Nicholas Breen <nbreen@ofb.net>  Sun, 23 Jan 2011 16:07:14 -0800

grace (1:5.1.22-8) unstable; urgency=low

  * control: Increment Standards-Version to 3.9.1, no changes necessary.
  * patches/nonlinear_extended.diff: Revision by Nicola Ferralis to add
    Weibull probability distribution fitting.  (Closes: #589965) 

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 27 Jul 2010 11:02:37 -0700

grace (1:5.1.22-7) unstable; urgency=low

  * Replace defoma font management with new /usr/sbin/update-grace-fonts
    trigger.  Many thanks to Kenshi Muto for the implementation.
    (Closes: #542335, #583956, #583964)
    - README.Debian: Update description of font handling, eliminate all
      references to defoma.
    - control: Depends -= defoma, += fontconfig.
  * grace.preinst, grace.postinst: Additionally remove code only needed for
    upgrades from truly antique (pre-oldstable) releases.
  * patches/nonlinear_extended.diff: Add menu entry for Doniach-Sunjic peak
    fitting.  (Closes: #583966)
  * Backed out subscript-superscript-scale.diff pending coordination with
    upstream, to avoid distro-specific incompatibilities.
  * compat: Increment to debhelper v7.
  * Convert to source format 3.0 (quilt).  Replace uuencoded icons with 
    their decoded PNG forms; clean out the associated decoding and patching
    logic from rules, and remove Build-Depends on sharutils and quilt.

 -- Nicholas Breen <nbreen@ofb.net>  Sun, 06 Jun 2010 14:36:06 -0700

grace (1:5.1.22-6) unstable; urgency=low

  * rules: Run sensible-editor inside x-terminal-emulator.  
    (Closes: #582154) (LP: #582399)
  * New patches:
    - non-resizable-dialogs.patch: Set certain dialog boxes to fixed sizes,
      preventing display errors and possible concealment of action buttons.
      (Closes: #253087)
    - superscript-subscript-scale.patch: Adjust {sub,super}script scaling to
      bring them more in line with LaTeX's style.  (Closes: #279359)
    - nonlinear_extended.diff: Add support for non-linear Lorentian and
      Gaussian fitting.  Written and contributed by Nicola Ferralis.
      (Closes: #578435) (LP: #535459)
  * control: Add Build-Depends on texlive-latex-{base,recommended} for
    regeneration of DVI documentation.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 26 May 2010 19:06:09 -0700

grace (1:5.1.22-5) unstable; urgency=low

  * Compile with -g0 on mips and mipsel, as a workaround for a FTBFS
    caused by the linker bug described in #519006.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 16 Mar 2010 14:09:34 -0700

grace (1:5.1.22-4) unstable; urgency=low

  * changelog: Fix typo in previous entry.  (Closes: #568675)
  * control: Increment Standards-Version to 3.8.4.
  * patches/motiflockup.patch: Stack on another workaround for the cursor
    grab problem.  (Closes: #567323)
  * patches/rmsdiff.patch: Replace with upstream's version.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 15 Mar 2010 20:16:29 -0700

grace (1:5.1.22-3) unstable; urgency=low

  * debian/control: 
    - Adopt the package.  (Closes: #459483)
    - Drop Suggests on grace-utils and Build-Depends option on g77, both no
      longer in the archive.
    - Bump Standards-Version to 3.8.3.  No packaging changes necessary.
    - Remove Xs- prefix from Vcs-Svn.
  * debian/rules: Remove call to dh_desktop.
  * debian/grace.pre{inst,rm}: Set -e.
  * Add trivial manpage for grace-thumbnailer(1), links to grace(1).
  * Add debian/README.source.
  * New patches:
    - rmsdiff.patch: Display RMS percentage error as an actual percentage.
      Patch courtesy of Alex Valavanis.  (Closes: #533761, 533762)
    - netbook_small_screen_2.diff: Improve display on small-resolution
      screens.  Patch from feranick, Ubuntu LP #391833.
    - motiflockup.patch: Fix joint grace/X lockup when selecting new data
      set under certain circumstances.  (Closes: #567323)
   * Updated patches:
    - grace_manpage_debian_warning.diff: Add whatis entry to grconvert(1).

 -- Nicholas Breen <nbreen@ofb.net>  Fri, 05 Feb 2010 13:18:01 -0800

grace (1:5.1.22-2) unstable; urgency=low

  * Orphan the package.

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 20:14:34 +0100

grace (1:5.1.22-1) unstable; urgency=low

  [ Ionut Georgescu ]
  * Switch from FFTW2 to FFTW3. Use pkg-config to locate FFTW3.
    (Closes: #264201).
  * NetCDF support was no longer build. Use the AC_CHECK_LIB macro to check
    for the existence of the library.
  * Make sure that all patches are applied with -p1. (Closes: #485345)
  * Update Standards-Version, Homepage, and Depends.
  * Update manpage fdf2fit.1.
  * Update doc-base file.

  [ Torsten Werner ]
  * New upstream release

 -- Torsten Werner <twerner@debian.org>  Mon, 21 Jul 2008 21:24:48 +0200

grace (1:5.1.21-2) unstable; urgency=low

  * Add debian/watch.
  * Fix desktop and menu file.
  * Bumped up Standards-Version: 3.7.3.


