=== debian/control ===
Source: grace
#Format: 3.0 (quilt)
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicholas Breen <nbreen@ofb.net>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 7.0.50~), lesstif2-dev, libxpm-dev,
 libfftw3-dev, libjpeg-dev, libpng12-dev | libpng-dev, libnetcdf-dev,
 gfortran | fortran-compiler, xmhtml1-dev, libt1-dev, fontconfig,
 linuxdoc-tools, libxau-dev, texlive-latex-base, texlive-latex-recommended
Vcs-Svn: http://svn.debian.org/wsvn/pkg-grace/grace/trunk/
Homepage: http://plasma-gate.weizmann.ac.il/Grace

Package: grace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gsfonts (>= 6.0), fontconfig, xterm
Suggests: texlive-extra-utils, ghostscript
Replaces: xmgr
Description: An XY plotting tool
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 This is the program formerly known as Xmgr.
 .
 A few of its features are: User defined scaling, tick marks, labels,
 symbols, line styles, colors. Polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation. Batch mode for unattended
 plotting. Hardcopy support for PostScript, FrameMaker and several image
 formats.
