=== debian/watch ===
version=3
ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/grace-(\d.*).tar.gz \
  debian debian/orig-tar.sh
